Subject: Re: [Cfrg] Europe's "Quantum Manifesto" and QKD snake oil

From: Aaron Zauner <[email-masked]>
Date: Mon, 2 May 2016 14:05:04 +0700

Hi,

> On 30 Apr 2016, at 22:28, D. J. Bernstein <[email-masked]> wrote:
> 
> There's a serious push---a draft manifesto endorsed by fairly high-level
> politicians and 1000 signatories---to get the European Commission to
> spend 1 billion EUR on "quantum technologies":
> 
>   http://qurope.eu/manifesto
> 
> I'm not sure how long the public-comment page will stay open:
> 
>   https://ec.europa.eu/futurium/en/content/quantum-manifesto-quantum-technologies-0
> 

Spot on comments, BTW.

> My understanding is that there's some interest in having CFRG become
> more proactive and systematic in publicly reviewing the security level
> of cryptographic technologies that are proposed _to IETF_. I realize
> that merely labeling something as a "quantum Internet" and telling
> people to spend huge amounts of money on it is not the same as making
> current proposals to IETF, but there does seem to be a large risk of
> future proposals to IETF, and maybe this justifies current CFRG action.

I'm not sure there will ever be any serious drafts to IETF w.r.t. QKD or quantum information/computation, as it seems to be entirely science fiction outside a lab setting. They may end up in the independent submissions stream (https://www.rfc-editor.org/about/independent/). Is anybody aware of existing publications or drafts in that direction within IETF/IRTF?

> Or maybe what this manifesto is illustrating is that the public
> cryptographic community needs to organize a bigger mechanism, outside
> any particular standardization organization, for systematic security
> evaluations (with some way of deciding priorities). Many current crypto
> failures can be traced to a denial-of-service attack against the public
> security-evaluation process---there are too many organizations with far
> too many crypto proposals for us to effectively review---and a more
> centralized process could help solve this.

JP Aumasson suggested a petition against this manifesto on Twitter yesterday, I think that would be a good idea -- if the signatories are well received cryptographers (and maybe even physicists).

Aaron